maven包冲突了怎么办,这款插件你不容错过

HI 我是小小,我们又见面了,今天的主要内容是介绍一款插件,该插件的主要用途是当maven包冲突了以后,使用这款插件直接解决问题。快快滑到底下,素质三连

前言

在日常开发的过程中,经常会遇到找不到类文件的异常,但是这个类的的确确存在项目中,这称之为包的依赖冲突问题。

冲突问题

示例项目引入了两个fastjson.jar版本,分别为

例如,当我们项目中要用到1.2.28总的类,例如A类,但是在新的版本中,这个类被去除,但是调配的时候发现这个包存在,到底是那个包呢。这里安利一款插件,使用该插件,可以直接一键完美解决掉idea中的maven冲突问题。

安利插件

这里安利的插件名称为 maven helper

解决问题

第一步

安装插件

第二步

在安装完成以后,在pom文件下方会出现这个东西

第三步

点进去会进入类似于eclipse界面的

第四步

选择选项conficts,这个选项的意思是筛选所有冲突的包

第五步

这里的例子冲突的是fastjson如下图所示

第六步

选择右键,exclude,去除其相关的版本。即可自动去除。

关于作者

我是小小,一枚佛系程序猿,生于二线,活在一线,我很佛系,生而为人,我不快乐,要想快乐,素质三连即可快乐,我是小小,我们下期再见。

小明菜市场

  • 发表于:
  • 原文链接https://kuaibao.qq.com/s/20201011A00YP300?refer=cp_1026
  • 腾讯「云+社区」是腾讯内容开放平台帐号(企鹅号)传播渠道之一,根据《腾讯内容开放平台服务协议》转载发布内容。
  • 如有侵权,请联系 yunjia_community@tencent.com 删除。

扫码关注云+社区

领取腾讯云代金券